org.apache.hadoop.mapreduce.jobhistory

## Class NormalizedResourceEvent

- java.lang.Object
- - org.apache.hadoop.mapreduce.jobhistory.NormalizedResourceEvent

- All Implemented Interfaces:
    HistoryEvent

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class NormalizedResourceEvent
      extends Object
      implements HistoryEvent

  Event to record the normalized map/reduce requirements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizedResourceEvent(TaskType taskType, long memory)` Normalized request when sent to the Resource Manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDatum()` Return the Avro datum wrapped by this.
    `EventType` | `getEventType()` Return this event's type.
    `long` | `getMemory()` the normalized memory
    `TaskType` | `getTaskType()` the tasktype for the event.
    `Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric>` | `getTimelineMetrics()` Counters or Metrics if any else return null.
    `void` | `setDatum(Object datum)` Set the Avro datum wrapped by this.
    `org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent` | `toTimelineEvent()` Map HistoryEvent to TimelineEvent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizedResourceEvent

          public NormalizedResourceEvent(TaskType taskType,
                                         long memory)

      Normalized request when sent to the Resource Manager.
      Parameters:
        `taskType` - the tasktype of the request.
        `memory` - the normalized memory requirements.

  - ### Method Detail

    - #### getTaskType

          public TaskType getTaskType()

      the tasktype for the event.
      Returns:
        the tasktype for the event.

    - #### getMemory

          public long getMemory()

      the normalized memory
      Returns:
        the normalized memory

    - #### getEventType

          public EventType getEventType()

      Description copied from interface: `HistoryEvent`
      Return this event's type.
      Specified by:
        `getEventType` in interface `HistoryEvent`

    - #### getDatum

          public Object getDatum()

      Description copied from interface: `HistoryEvent`
      Return the Avro datum wrapped by this.
      Specified by:
        `getDatum` in interface `HistoryEvent`

    - #### setDatum

          public void setDatum(Object datum)

      Description copied from interface: `HistoryEvent`
      Set the Avro datum wrapped by this.
      Specified by:
        `setDatum` in interface `HistoryEvent`

    - #### toTimelineEvent

          public org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent toTimelineEvent()

      Description copied from interface: `HistoryEvent`
      Map HistoryEvent to TimelineEvent.
      Specified by:
        `toTimelineEvent` in interface `HistoryEvent`
      Returns:
        the timeline event

    - #### getTimelineMetrics

          public Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric> getTimelineMetrics()

      Description copied from interface: `HistoryEvent`
      Counters or Metrics if any else return null.
      Specified by:
        `getTimelineMetrics` in interface `HistoryEvent`
      Returns:
        the set of timeline metrics

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.